picard.reference

## Class NormalizeFasta

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.reference.NormalizeFasta

-     public class NormalizeFasta
      extends CommandLineProgram

  Little program to "normalize" a fasta file to ensure that all line of sequence are the same length, and are a reasonable length!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `INPUT`
    `int` | `LINE_LENGTH`
    `File` | `OUTPUT`
    `boolean` | `TRUNCATE_SEQUENCE_NAMES_AT_WHITESPACE`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizeFasta()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Do the work after command line has been parsed.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="The input FASTA file to normalize.")
          public File INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  doc="The output FASTA file to write.")
          public File OUTPUT

    - #### LINE_LENGTH

          @Option(doc="The line length to be used for the output FASTA file.")
          public int LINE_LENGTH

    - #### TRUNCATE_SEQUENCE_NAMES_AT_WHITESPACE

          @Option(doc="Truncate sequence names at first whitespace.")
          public boolean TRUNCATE_SEQUENCE_NAMES_AT_WHITESPACE

  - ### Constructor Detail

    - #### NormalizeFasta

          public NormalizeFasta()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.